async function a(word) {
	return word;
}
async function b(word) {
	throw new Error("unexpected error!");
}

// async functionを実行して結果（Promise）を受け取る
let p = (async () => {
	let v = await a("Hi!");
	v = await b(v);
	return v;
})();

// 成功したかな？失敗したかな？
p
	.then(v => {
		console.log("success", v);   // 実行されない
	}, err => {
		console.error("error", err); // error [Error: unexpected error!] と表示される
	})
