let obj1 = { a: "1", b: "2", c: "3" };

// オブジェクトの途中に別のオブジェクトを展開する
let obj2 = { ...obj1, z: "26" };
console.log(obj2); // { a: '1', b: '2', c: '3', z: '26' } と表示される

// 分割代入で "残り" をオブジェクトとして受け取る
let {a, b, ...rest} = obj2;
console.log(rest); // { c: '3', z: '26' } と表示される
