class Parent {
	constructor() {
		this.a = "1";
	}

	methodA() { }
}

class Child extends Parent {
	constructor() {
		super();
		this.b = "2";
	}

	methodB() { }
}

let child = new Child();
child.c = "3";

let {...obj1} = child;
console.log(obj1); // { a: '1', b: '2', c: '3' } と表示される

let obj2 = { z: "26", ...child };
console.log(obj2); // { z: '26', a: '1', b: '2', c: '3' } と表示される
